chain.pdb {bio3d} | R Documentation

## Find Possible PDB Chain Breaks

### Description

Find possible chain breaks based on connective Calpha atom separation.

### Usage

    chain.pdb(pdb, ca.dist = 4, blank = "X", rtn.vec = TRUE)

### Arguments

`pdb` | a PDB structure object obtained from `read.pdb`.
`ca.dist` | the maximum distance that separates Calpha atoms considered to be in the same chain.
`blank` | a character to assign non-protein atoms.
`rtn.vec` | logical, if TRUE then the one-letter chain vector consisting of the 26 upper-case letters of the Roman alphabet is returned.

### Details

This is a basic function for finding possible chain breaks in PDB structure files, i.e. connective Calpha atoms that are further than `ca.dist` apart.

### Value

Prints basic chain information and if `rtn.vec` is TRUE returns a character vector of chain ids consisting of the 26 upper-case letters of the Roman alphabet plus possible `blank` entries for non-protein atoms.

### Author(s)

Barry Grant

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

### See Also

`read.pdb`, `atom.select`, `trim.pdb`, `write.pdb`

### Examples

    # PDB server connection required - testing excluded

    full.pdb <- read.pdb( get.pdb("5p21", URLonly=TRUE) )
    inds <- atom.select(full.pdb, resno=c(10:20,30:33))
    cut.pdb <- trim.pdb(full.pdb, inds)
    chain.pdb(cut.pdb)

[Package bio3d version 2.3-4 Index]